## InfTextDefaultDeleteOperation

InfTextDefaultDeleteOperation

## Functions

InfTextDefaultDeleteOperation * | inf_text_default_delete_operation_new ()
InfTextChunk * | inf_text_default_delete_operation_get_chunk ()

## Properties

InfTextChunk * | chunk | Read / Write / Construct Only
guint | position | Read / Write / Construct Only

## Types and Values

struct | InfTextDefaultDeleteOperation
struct | InfTextDefaultDeleteOperationClass

## Object Hierarchy

        GObject
        ╰── InfTextDefaultDeleteOperation

## Implemented Interfaces

InfTextDefaultDeleteOperation implements InfAdoptedOperation and InfTextDeleteOperation.

## Description

## Functions

### inf_text_default_delete_operation_new ()

    InfTextDefaultDeleteOperation *
    inf_text_default_delete_operation_new (guint position,
                                           InfTextChunk *chunk);

Creates a new delete operation that, when applied, deletes the text `chunk` that starts at character offset `position` in the buffer. The operation cannot be applied, if there is some other text at that position in the buffer.

[constructor]

#### Parameters

position | The position at which to delete text. |
chunk | The text to delete. |

#### Returns

A new InfTextDefaultDeleteOperation.

[transfer full]

### inf_text_default_delete_operation_get_chunk ()

    InfTextChunk *
    inf_text_default_delete_operation_get_chunk
                                   (InfTextDefaultDeleteOperation *operation);

Returns the text deleted by `operation` .

#### Parameters

operation | A InfTextDefaultDeleteOperation. |

#### Returns

A InfTextChunk, owned by the operation.

[transfer none]

## Types and Values

### struct InfTextDefaultDeleteOperation

    struct InfTextDefaultDeleteOperation;

### struct InfTextDefaultDeleteOperationClass

    struct InfTextDefaultDeleteOperationClass {
      GObjectClass parent_class;
    };

## Property Details

### The `“chunk”` property

      “chunk”                    InfTextChunk *

The deleted text.

Owner: InfTextDefaultDeleteOperation

Flags: Read / Write / Construct Only

### The `“position”` property

      “position”                 guint

Position where to start deleting characters.

Owner: InfTextDefaultDeleteOperation

Flags: Read / Write / Construct Only

Default value: 0